=== client_libs/CMakeLists.txt ===
MESSAGE (STATUS "===== Client Libraries =====")
ADD_SUBDIRECTORY (libplayerc)
ADD_SUBDIRECTORY (libplayerc++)
MESSAGE (STATUS "============================")
