=== debian/changelog ===
player (3.0.2+dfsg-4) unstable; urgency=low

  * Patch for zlib 1.2.6 compatibility (FTBFS).
  * Patch for libgeos changes. Closes: #662593
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Michael Janssen <jamuraa@debian.org>  Sun, 25 Mar 2012 18:06:18 -0500

player (3.0.2+dfsg-3) unstable; urgency=low

  * Ack NMU.
  * Fix typo in package description. Closes: #618845
  * Remove build-dependency on libmagick++-dev because player
    doesn't use imagemagick anymore. Closes: #625579
  * Upgrade to libpqxx3. Closes: #623082
  * Enable a couple more drivers for old cameras
    (Adds build-dep: libv4l-dev)
  * Add build-dep: libusb-dev to build more drivers
  * Fix spelling error in robot-playerjoy manpage
  * Bump Standard-Version to 3.9.2 (no changes)

 -- Michael Janssen <jamuraa@debian.org>  Tue, 06 Dec 2011 16:48:10 -0600

player (3.0.2+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on python-support rather than (unused) python-central
    (closes: #614614).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 05 Mar 2011 14:12:35 +0100

player (3.0.2+dfsg-2) unstable; urgency=low

  * Add /usr/lib/robot-player to the places searched for plugins
    to play nice with stage-player-plugin which installs the stage
    plugin there.

 -- Michael Janssen <jamuraa@debian.org>  Wed, 15 Dec 2010 18:06:53 -0600

player (3.0.2+dfsg-1) unstable; urgency=low

  * Remove libphidgets support since it is removed from Debian.
    (Closes: #584363)
  * Redo patch for clarity.
  * Ack NMU (thanks Christoph).
  * New upload forces us to recompile against an existent libcv.
    (Closes: #598002)
  * Bump Standards-Version to 3.9.1 (no changes to comply).
  * New upstream version.
  * Include patches for FTBFS for arm{,el}, alpha, mips{,el}, ia64.
    (thanks Daniel Hess) (Closes: #584232)
  * Don't install the binaries for the examples. (Closes: #554179)
  * Raise exceptions correctly in player{interface,xdr}gen
    (Closes: #585241)

 -- Michael Janssen <jamuraa@debian.org>  Sat, 04 Dec 2010 02:42:06 -0600

player (3.0.1+dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBS on armel, alpha and ia64 by using non-paused port io operations
    instead of the “_p” onces not defined on this architectures
    (fix-portio.patch).
  * Fix FTBS on mips and mipsel by removing zero initializer from 'struct
    sigaction' variables. 'struct sigaction' is defined different on mips and
    mipsel and the variables are set directly after declaration anyway.

 -- Daniel Hess <daniel@rio-grande.ping.de>  Wed, 02 Jun 2010 11:45:35 +0200
