=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://sf.net/playerstage/player-(.+)\.tar\.gz debian
